/*-
 * Copyright (C) @BABOLO  2009 May 16 http://www.babolo.ru/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: bsdfig_local.h,v 1.2 2009/05/17 13:51:17 babolo Exp $
 */

#ifndef IPFW_TABLES_MAX
# define IPFW_TABLES_MAX 128
#endif

#ifndef offsetof
# define offsetof(type, field) ((size_t)(&((type *)0)->field))
#endif

enum bsdfig_section
{ BSDFIG_C_NULLQ = 0
, BSDFIG_C_NULL  = 1
, BSDFIG_C_PIPEC
, BSDFIG_C_PIPEQ
, BSDFIG_C_PIPE
, BSDFIG_C_QUEUEC
, BSDFIG_C_QUEUEQ
, BSDFIG_C_QUEUE
, BSDFIG_C_DISABLEC
, BSDFIG_C_DISABLEQ
, BSDFIG_C_DISABLE
, BSDFIG_C_RULEC
, BSDFIG_C_RULEQ
, BSDFIG_C_RULE
, BSDFIG_C_TABLEC
, BSDFIG_C_TABLEQ
, BSDFIG_C_TABLE
, BSDFIG_C_PIPELISTC
, BSDFIG_C_PIPELISTQ
, BSDFIG_C_PIPELIST
, BSDFIG_C_QUEUELISTC
, BSDFIG_C_QUEUELISTQ
, BSDFIG_C_QUEUELIST
, BSDFIG_C_DISABLELISTC
, BSDFIG_C_DISABLELISTQ
, BSDFIG_C_DISABLELIST
, BSDFIG_C_RULELISTC
, BSDFIG_C_RULELISTQ
, BSDFIG_C_RULELIST
, BSDFIG_C_TABLELISTC
, BSDFIG_C_TABLELISTQ
, BSDFIG_C_TABLELIST
, BSDFIG_C_C            /* last section idetifier, install new ones before it */
};
